Package ghidra.framework.main

# Class DialogProjectDataExpandAction

java.lang.Object
docking.action.DockingAction
docking.action.ContextSpecificAction<T>
ghidra.framework.main.projectdata.actions.ProjectDataExpandAction<DialogProjectTreeContext>
ghidra.framework.main.DialogProjectDataExpandAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public class DialogProjectDataExpandAction extends ProjectDataExpandAction<DialogProjectTreeContext>
`ProjectDataExpandAction` configured to work in the frontend.

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialogProjectDataExpandAction(String owner, String group)`

- ## Method Summary

  ### Methods inherited from class ghidra.framework.main.projectdata.actions.ProjectDataExpandAction

  `actionPerformed, isAddToPopup, isEnabledForContext`

  ### Methods inherited from class docking.action.ContextSpecificAction

  `actionPerformed, isAddToPopup, isEnabledForContext, isValidContext, isValidContext`

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isEnabled, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### DialogProjectDataExpandAction

    public DialogProjectDataExpandAction(String owner, String group)